payments.validateRequestedInfo
Submit requested order information for validation
Authorization
bearerAuth In: header
Path Parameters
Workspace ID
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Submit requested order information for validation
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.validateRequestedInfo" \ -H "Content-Type: application/json" \ -d '{ "params": { "invoice": { "_": "inputInvoiceMessage", "peer": { "_": "inputPeerEmpty" }, "msgId": 0 }, "info": { "_": "paymentRequestedInfo" } } }'{ "result": { "_": "payments.validatedRequestedInfo", "id": "string", "shippingOptions": [ { "_": "shippingOption", "id": "string", "title": "string", "prices": [ { "_": "labeledPrice", "label": "string", "amount": "string" } ] } ] }}upgradeStarGift
Upgrade a [gift](https://core.telegram.org/api/gifts) to a [collectible gift](https://core.telegram.org/api/gifts#collectible-gifts): can only be used if the upgrade was already paid by the gift sender; see [here »](https://core.telegram.org/api/gifts#upgrade-a-gift-to-a-collectible-gift) for more info on the full flow (including the different flow to use in case the upgrade was not paid by the gift sender).
acceptCall
Accept incoming call, see [here »](https://core.telegram.org/api/calls#one-to-one-calls) for more info on the full flow.